a,
a:hover {
  text-decoration: none;
}

.icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  stroke-width: 0;
  stroke: currentColor;
  fill: currentColor;
}

.wrapper {
  background: #828cc7;
  overflow: hidden;
  position: relative;
}

.news {
  &__header {
    padding: 0.5rem;
    text-align: center;

    a,
    a:visited {
      color: white;

      &:hover {
        color: #222222;
        transition-delay: 0.1s;
      }
    }

    small {
      color: white;
    }
  }

  &-slider {
    z-index: 2;
    max-width: 1200px;
    margin: 4rem auto;

    @media screen and (max-width: 1300px) {
      max-width: 1000px;
    }

    @media screen and (max-width: 576px) {
      margin-top: 45px;
    }

    &__wrp {
      display: flex;
      position: relative;
      z-index: 2;
    }

    &__item {
      width: 400px;
      flex-shrink: 0;
      margin: 1rem;
      display: grid;

      @media screen and (max-width: 992px) {
        width: 340px;
      }

      &.swiper-slide {
        opacity: 0;
        pointer-events: none;
        transition: all 0.3s;
      }

      &.swiper-slide-active,
      &.swiper-slide-prev,
      &.swiper-slide-next {
        opacity: 1;
        pointer-events: auto;
      }
    }

    &__ctr {
      position: relative;
      z-index: 22;
    }

    &__arrow {
      background: #fff;
      border: none;
      display: inline-flex;
      width: 50px;
      height: 50px;
      justify-content: center;
      align-items: center;
      box-shadow: 0 6px 26px 6px rgba(0, 0, 0, 0.25);
      border-radius: 50%;
      position: absolute;
      top: 50%;
      z-index: 12;
      cursor: pointer;
      outline: none !important;

      &:focus {
        outline: none !important;
      }

      .icon-font {
        display: inline-flex;
      }

      &.news-slider-prev {
        left: 15px;
        transform: translateY(-50%);
      }

      &.news-slider-next {
        right: 15px;
        transform: translateY(-50%);
      }
    }

    &__pagination {
      text-align: center;
      margin-top: 50px;

      .swiper-pagination-bullet {
        width: 13px;
        height: 10px;
        display: inline-block;
        background: #fff;
        opacity: 0.2;
        margin: 0 5px;
        border-radius: 20px;
        transition: opacity 0.5s, background-color 0.5s, width 0.5s;
        transition-delay: 0.5s, 0.5s, 0s;
      }

      .swiper-pagination-bullet-active {
        opacity: 1;
        background: #ffffff;
        width: 100px;
        transition-delay: 0s;

        @media screen and (max-width: 576px) {
          width: 70px;
        }
      }
    }
  }

  &__item {
    color: #fff;
    display: grid;
    transition: all 0.3s;
    align-content: space-between;

    @media screen and (min-width: 800px) {
      &:hover {
        color: #222222;
        transition-delay: 0.1s;

        .news-date,
        .news__header .news__title,
        .news__header .news__title a,
        .news__txt {
          opacity: 1;
          transition-delay: 0.1s;
        }
      }
    }

    &.active {
      color: #222222;
      background: rgba(255, 255, 255, 0.1);

      .news-date,
      .news__title a,
      .news__txt {
        opacity: 1;
      }
    }
  }

  &__title {
    font-size: 25px;
    font-weight: 500;
    opacity: 0.7;
    transition: opacity 0.3s;

    a {
      font-family: $headings;
    }

    @media screen and (max-width: 576px) {
      font-size: 22px;
    }
  }

  &__txt {
    margin: 1.5rem 0;
    line-height: 1.6em;
    font-size: 15px;
    opacity: 0.7;
    transition: opacity 0.3s;
  }

  &__img {
    img {
      height: auto;
      width: 100%;
    }
  }
}

